import React, { useState } from 'react';
import FruitsList from './fruirsList';
import { AppContext } from "../context/context"

function AppFruits(props) {
  let [fruits_ar, setFruitsAr] = useState(["mango", "apple", "kiwi"])

  let [chooseFruit, setFruitChoose] = useState("");

  const addNewFruit = (_val) => {
    setFruitsAr([...fruits_ar, _val])
  }

  return (
    <div className="container">
      <h1>Fruits list</h1>
     
      <AppContext.Provider value={{setFruit2:setFruitChoose, addNewFruit, chooseFruit}}>

        <FruitsList  fruits_ar={fruits_ar} />
      </AppContext.Provider>

    </div>
  )
}

export default AppFruits